For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.uptime.get_check(check_id="4de7ac8b-495b-4884-9a69-1050c6793cd6")
Returns JSONRaises HttpResponseError
Description
To show information about an existing check, send a GET request to /v2/uptime/checks/{check_id}.
Parameters
check_id string required
A unique identifier for a check.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
resp = client.uptime.check_get(check_id="fd9dfa")
Response Example
Show Response Example
{
"check": {
"id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
"name": "Landing page check",
"type": "https",
"target": "https://www.landingpage.com",
"regions": [
"us_east",
"eu_west"
],
"enabled": true
}
}
See /v2/uptime/checks/{check_id} in the API reference for additional detail on responses, headers, parameters, and more.